Hooks:PostHook(CarryTweakData, "init", "UniqueLootbagTextures_CarryTweakData_init", function(self, tweak_data)

	--Money, Counterfeit Money, and Gold
	self.money.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_money" --money
	self.counterfeit_money.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_cmoney" --counterfeit money
	self.gold.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_gold" --gold
	
	--Every Type of Narcotic
	self.coke.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_bag_full_of_drugs" --Coke from all coke levels
	self.meth.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_bag_full_of_drugs" --Meth from all meth levels
	self.yayo.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_bag_full_of_drugs" --Yayo from Scarface Mansion
	self.meth_half.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_bag_full_of_drugs" --Meth from Lab Rats
	self.coke_pure.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_bag_full_of_drugs" --Pure Cocaine from White XMAS
	
	--Jewelry Store
	self.diamonds.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_precious" --jewelry
	
	--San Martin Bank
	self.faberge_egg.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_martin" --the egg
	self.treasure.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_martin" --the romanov treasure
	
	--Red Garnet Group
	self.red_diamond.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_garnet" --the Red Diamond from Diamond Heist
	self.diamonds_dah.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_garnet" --All Diamonds from several heists
	self.rubies.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_garnet" --The rubies from Diamond Heist
	
	
	--All gun bags use GAGE'S ARMORY
	self.weapon.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_weapons"
	self.weapons.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_weapons"
	self.weapon_scar.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_weapons"
	self.weapon_glock.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_weapons"
	self.grenades.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_weapons"
	
	--Stealing XMAS
	self.women_shoes.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_shoes" --High Heels
	self.vr_headset.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_vr" --vr headset
	self.diamond_necklace.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_necklace" --necklace
	self.robot_toy.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_toy" --Tin Boy Toy
	self.expensive_vine.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_snobhq" --Expensive Wine
	self.ordinary_wine.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_snob" --Ordinary Wine
	
	--Train Heist
	self.turret.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_turret" --Turret Part
	self.ammo.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_turret_ammo" --Shells
	
	--BIKER HEIST
	self.bike_part_light.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_biker" --bike parts Day 1
	self.bike_part_heavy.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_biker" --bike parts Day 1
	self.drone_control_helmet.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_bci" --BCI helmet Day 2
	
	--Golden Grin 
	self.winch_part.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_winch"    --These are..
	self.winch_part_2.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_winch" --The winch parts that pull..
	self.winch_part_3.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_winch" --the BFD down as well as the vault on Brooklyn Bank sometimes.
	self.watertank_empty.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_water" --watertank empty
	self.watertank_full.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_water" --watertank full
	self.fireworks.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_fireworks" --Fireworks
	self.fireworks.unique_bump_normal = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_nm_fireworks" --Custom normalmap for fireworks
	
	--Border Crossing
	self.roman_armor.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_rome" --Roman Armor
	self.roman_armor.unique_self_illumination = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_il_rome"
	
	--_______________________________________________________________________________________________________________________________________________
	--All types of Server Loot
	self.master_server.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_it"            --Firestarter Day 2
	
	self.mad_master_server_value_1.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_it" --All of these mad ones
	self.mad_master_server_value_2.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_it" --are for Boiling Point
	self.mad_master_server_value_3.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_it" --With different values based 
	self.mad_master_server_value_4.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_it" --on how many bodies you scanned
	
	self.circuit.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_it"                   --Regular Server on Shadow Raid
	--_______________________________________________________________________________________________________________________________________________
	
	--Big Oil Engines
	self.engine_01.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e1"
	self.engine_02.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e2"
	self.engine_03.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e3"
	self.engine_04.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e4"
	self.engine_05.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e5"
	self.engine_06.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e6"
	self.engine_07.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e7"
	self.engine_08.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e8"
	self.engine_09.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e9"
	self.engine_10.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e10"
	self.engine_11.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e11"
	self.engine_12.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_e12"
	
	--Meltdown Warheads
	self.warhead.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_vnuke"
	self.warhead.unique_self_illumination = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_il_vnuke"
	
	--Hoxton Breakout
	self.evidence_bag.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_evidence" --evidence bag
	
	--Shadow Raid
	self.artifact_statue.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_fuckyou"
	self.samurai_suit.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_samurai"
	
	--Shacklethorne, The Diamond, and Art Gallery
	self.mus_artifact.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_mus" --Artifact used in Shacklethorne & The Diamond
	
	--Panic Room
	self.toothbrush.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_toothbrush"

	--Henry's Rock
	self.battery.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_bat"

	--Bomb Heist Forest
	self.ladder_bag.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_lad"

	--Framing Frame Day 3
	self.old_wine.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_snobv"

	--Cage Bag for GO Bank and Goat Sim
	self.cage_bag.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_cage"

	--Pig from Slaughterhouse
	self.din_pig.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_pig"

	--Cocaine from Santa's Workshop
	self.present.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_present"

	--Lab Rats
	self.nail_muriatic_acid.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_muriatic"
	self.nail_caustic_soda.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_caustic"
	self.nail_hydrogen_chloride.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_hcl"
	self.nail_euphadrine_pills.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_pills"

	--The Bomb: Forest and Dockyard
	self.cro_loot1.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_bombfd"
	self.cro_loot2.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_bombfd"

	--Murky Station
	self.drk_bomb_part.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_mrkbomb"

	--Beneath the Mountain
	self.prototype.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_prototype"
	self.breaching_charges.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_charge"
	self.lost_artifact.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_LostA"

	--The Diamond 
	self.hope_diamond.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_thediamond"

	--Secret Stuff
	self.black_tablet.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_tablet"
	self.black_tablet.unique_self_illumination = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_il_tablet"
	self.unknown.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_placeholder"
	self.box_unknown.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_placeholder"
	self.box_unknown_tag.unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_placeholder"
	
	--Thermal Drill and Beast Drill
	self.lance_bag.unique_diffuse = "units/payday2/pickups/gen_pku_toolbag/gen_pku_toolbag_df_lance" --Banks Thermal Drill
	self.chl_puck.unique_diffuse = "units/payday2/pickups/gen_pku_toolbag/gen_pku_toolbag_df_lance" --Train Heist Thermal Drill
	self.lance_bag_large.unique_diffuse = "units/payday2/pickups/gen_pku_toolbag_large/gen_pku_toolbag_large_df_beast" --The BEAST drill
	--IF YOU ALSO DON'T WANT IT TO SAY "PRESS E TO GRAB THE THERMAL LANCE" Just delete the localizationmanager.lua and delete the hook for it in main.xml

	self.lance_bag.apply_textures_to_static = true
	self.lance_bag.level_specific = {
		pbr = { unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_charge" },
		mex = { unique_diffuse = "units/payday2/pickups/gen_pku_lootbag/gen_pku_lootbag_df_charge" }

	}
end)